program SaveIcons;

(*
 * Code by Peter Shanahan, 2005
 * Use is subject to License Terms (GPL)
 *)

uses
  SysUtils,
  be_SaveIcons in 'be_SaveIcons.pas',
  Windows;

{$R *.res}

var
  save : TSaveIcons;

begin
  if (ParamCount = 0) then begin
    MessageBox(0, 'Usage: SaveIcons save|restore',
      'Usage', MB_OK);
    Exit;
  end;
  save := TSaveIcons.Create;
  if (UpperCase(ParamStr(1)) = 'SAVE') then
    save.FindForSaveRestore(true)
  else if (UpperCase(ParamStr(1)) = 'RESTORE') then
    save.FindForSaveRestore(false)
  else
    MessageBox(0, 'Usage: SaveIcons save|restore',
      'Usage', MB_OK);
end.
